#### PGP

#### Synopsis

    HELP:   OpenPGP signature
    TYPE:   OBJECT
    SYNTAX: PGP(ARMOR(),SIGHSH/HSHALG=MD5/SHA1/RIPEMD/SHA224/SHA256/SHA384/SHA512,SIGNID/SIGNER='str')

#### Description

The object defines all parameters for a detached OpenPGP signature.

With the SIGNID, you specify wich private key should be used. It is also possible to specify the algorithm to hash the document (the hash is used for signature generation). If no hash algorithm is specified, a default algorithm is chosen.

The armor object converts binary signatures to Base64 and adds the ASCII armor header and trailer.

#### Examples

    FLCL CONV
         READ.BINA(FILE='file.txt'
                   SIG.GEN(FILE='file.pgpsig'
                           FORMAT.PGP(ARMOR() SIGNID='limes')
                           FKM5()
                          )
                  )
         WRITE.FLA(FILE='flamfile.adc'
                   SIG.GEN(FILE='flamfile.pgpsig'
                           FORMAT.PGP(SIGNID='limes2key')
                           FKM5()
                          )
                  )

#### Arguments

- `NUMBER: SIGHSH/HSHALG=MD5/SHA1/RIPEMD/SHA224/SHA256/SHA384/SHA512 - Hash algorithm for signature generation [preferred]`
  - `MD5 - 128 bit (16 byte) MD5 checksum`
  - `SHA1 - 160 bit (20 byte) SHA checksum`
  - `RIPEMD - 160 bit (20 byte) RipeMD checksum`
  - `SHA224 - 224 bit (28 byte) SHA checksum`
  - `SHA256 - 256 bit (32 byte) SHA checksum`
  - `SHA384 - 384 bit (48 byte) SHA checksum`
  - `SHA512 - 512 bit (64 byte) SHA checksum`
- `STRING: SIGNID/SIGNER='str' - User ID of private key for signing`